#include "progressdialog.h"
#include "ui_progressdialog.h"

progressDialog::progressDialog(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::progressDialog)
{
    ui->setupUi(this);
    ui->txtLog->setPlainText(tr("Started logging..."));
}

progressDialog::~progressDialog()
{
    delete ui;
}

void progressDialog::SetTotal(int fid, int max) {
    ui->prgAll->setMaximum(max);
    ui->prgAll->setValue(fid);
}

void progressDialog::AddLog(QString text) {
    ui->txtLog->setPlainText(ui->txtLog->toPlainText() + 10 + text);
}

void progressDialog::SetCurrent(int cbyte, int maxbyte) {
    ui->prgCurrent->setMaximum(maxbyte);
    ui->prgCurrent->setValue(cbyte);
}

void progressDialog::ClosePrg() {
    this->close();
}
