#include "welcome.h"
#include "ui_welcome.h"
#include <QSettings>

welcome::welcome(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::welcome)
{
    ui->setupUi(this);
    QSettings settings;
    if (settings.value("welcome", "0").toString() == "1") ui->chkDontShow->setChecked(1);
}

welcome::~welcome()
{
    delete ui;
}

void welcome::closeMe() {
    QSettings settings;
    if (ui->chkDontShow->isChecked()) settings.setValue("welcome", "1");
    else settings.setValue("welcome", "0");
    accept();
}
